<?php
/**
 * Build a link to a media file
 *
 * Will return a link to the detail page if $direct is false
 */
function offline_ml($id='',$more='',$direct=true,$sep='&'){
  global $conf;
  global $_POST;
  global $offlineVersionPath;

  $xlink = './';
  $page_depth = substr_count($_POST[page], ":");
  for($i=0;$i<$page_depth;$i++)
    $xlink .= "../";

  // External pictures: dowload in /images/_extern
  if(preg_match('#^(https?|ftp)://#i',$id)){
    io_download($id, $offlineVersionPath.'images/_extern/'.$_POST['page'].'-'.basename($id));
    $xlink .= 'images/_extern/'.$_POST['page'].'-'.basename($id);
  }
  elseif(!preg_match('#\/?tag_#i',$id)) {
    $id = str_replace(":", "/", $id);
    io_mkdir_p(dirname($offlineVersionPath.'images/'.$id));
    copy(DOKU_INC.'data/media/'.$id,$offlineVersionPath.'images/'.$id);
    $xlink .= 'images/'.$id;
  }

  return $xlink;
}


/**
 * This builds a link to a wikipage
 *
 * It handles URL rewriting and adds additional parameter if
 * given in $more
 *
 * @author Andreas Gohr <andi@splitbrain.org>
 */
function offline_wl($id='',$more='',$abs=false,$sep='&amp;'){
  global $_POST;

  $id = str_replace(":", "/", $id);

  $xlink = './';

  // Absolute link
  if(preg_match('#\/#i',$id)){
    $page_depth = substr_count($_POST['page'], "/");
    for($i=0;$i<$page_depth;$i++)
      $xlink .= "../";
  }

  $xlink .= $id.'.html';

  return $xlink;
}


