<?php
if(!defined('DOKU_INC')) define('DOKU_INC',realpath(dirname(__FILE__).'/../../../').'/');
if(!defined('DOKU_PLUGIN')) define('DOKU_PLUGIN',DOKU_INC.'lib/plugins/');
require_once(DOKU_PLUGIN.'admin.php');
 
/**
 * All DokuWiki plugins to extend the admin function
 * need to inherit from this class
 */
class admin_plugin_offlineVersionBuilder extends DokuWiki_Admin_Plugin {
 		var $cmd;

    /**
     * Constructor
     */
    function admin_plugin_offlineVersionBuilder(){
        $this->setupLocale();
    }

    /**
     * return some info
     */
    function getInfo(){
        return array(
            'author' => 'Yann Hamon',
            'email'  => 'yann.hamon@gmail.com',
            'date'   => '2007-04-29',
            'name'   => 'Offline Version Builder',
            'desc'   => 'Allows to create an offline version of your Wiki',
            'url'    => 'http://wiki.splitbrain.org/plugin:offlineVersionBuilder',
        );
    }
 
    /**
     * return sort order for position in admin menu
     */
    function getMenuSort() {
        return 40;
    }
 
    /**
     * handle user request
     */
    function handle() {
    }
 
    /**
     * output appropriate html
     */
    function html() {
        print $this->plugin_locale_xhtml('intro');

        print '<fieldset class="pl_si_out">';
        
        print '<button class="button" id="pl_si_gobtn" onclick="plugin_offlineVersionBuilder_go()">';
        print 'Rebuild Index'; #FIXME localize
        print '</button>';
        print '<span id="pl_si_out"></span>';
        print '<img src="'.DOKU_BASE.'lib/images/loading.gif" id="pl_si_throbber" />';

        print '</fieldset>';
        
    }

 
}
//Setup VIM: ex: et ts=4 enc=utf-8 :
